//go:build !fasthttp

package html

import (
	"io"
	"strings"

	"codeberg.org/codeberg/pages/server/context"
)

// ReturnErrorPage sets the response status code and writes NotFoundPage to the response body, with "%status" replaced
// with the provided status code.
func ReturnErrorPage(ctx *context.Context, msg string, code int) {
	ctx.RespWriter.Header().Set("Content-Type", "text/html; charset=utf-8")
	ctx.RespWriter.WriteHeader(code)

	if msg == "" {
		msg = errorBody(code)
	}

	_, _ = io.Copy(ctx.RespWriter, strings.NewReader(msg))
}
